Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### atan()

Examples

    float a = PI/3;
    float t = tan(a);
    float at = atan(t);
    // Prints "1.0471976 : 1.7320509 : 1.0471976"
    println(a + " : " + t + " : " +  at);

    float a = PI + PI/3.0;
    float t = tan(a);
    float at = atan(t);
    // Prints "4.1887903 : 1.7320513 : 1.0471977"
    println(a + " : " + t + " : " +  at);

Description | The inverse of tan(), returns the arc tangent of a value. This function expects the values in the range of -Infinity to Infinity (exclusive) and values are returned in the range -PI/2 to PI/2 .

Syntax

    atan(value)

Parameters

value | float: -Infinity to Infinity (exclusive)

Returns | float
Usage | Web & Application
Related | tan() asin() acos()

Updated on November 22, 2008 08:39:25pm PST